<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Edited by XMLSpy -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="anzahl" select="count(//movies)" />

<xsl:template match="/">
  <html>
  <body>
  <h2>My Movie Collection</h2>
    <table border="1" cellpadding="6">
		<colgroup>
			<col align="center" />
			<col align="center" />
			<!--<col align="left" />-->
			<col align="left" />
			<col align="left" />
			<col align="left" />
			<col align="center" />
			<col align="center" />
			<col align="center" />
		</colgroup>
		<tr bgcolor="#9acd32">
			<th>Selection</th>
			<th>Number</th>
			<!--<th>Title</th>-->
			<th>Title</th>
			<th>Original Title</th>
			<th>Genre</th>
			<th>Rating</th>
			<th>IMDB Link</th>
			<th>Year</th>
		</tr>
		<xsl:for-each select="videodb/movie">
		<xsl:sort select="title"/>
	    <tr>
			<td><input type="checkbox" />  </td>
			<td><xsl:value-of select='format-number(position(), "000")'/></td>
			<td><xsl:value-of select="title"/></td>
			<td><xsl:value-of select="originaltitle"/></td>
			<!--<xsl:choose>
				<xsl:when test="starts-with(title,'Der')">
					<td> <xsl:value-of select="substring(title,4)" /> <xsl:text>, </xsl:text> <xsl:value-of select="substring(title,1,4)"/> </td>
				</xsl:when>
				<xsl:when test="starts-with(title,'Die')">
					<td> <xsl:value-of select="substring(title,4)" /> <xsl:text>, </xsl:text> <xsl:value-of select="substring(title,1,4)"/> </td>
				</xsl:when>
				<xsl:when test="starts-with(title,'Das')">
					<td> <xsl:value-of select="substring(title,4)" /> <xsl:text>, </xsl:text> <xsl:value-of select="substring(title,1,4)"/> </td>
				</xsl:when>
				<xsl:when test="starts-with(title,'The')">
					<td> <xsl:value-of select="substring(title,4)" /> <xsl:text>, </xsl:text> <xsl:value-of select="substring(title,1,4)"/> </td>
				</xsl:when>
				<xsl:otherwise> <td> <xsl:value-of select="title"/> </td> </xsl:otherwise>
			</xsl:choose>-->
			<td> <xsl:value-of select="genre"/><xsl:text> </xsl:text><xsl:value-of select="genre[2]"/><xsl:text> </xsl:text><xsl:value-of select="genre[3]"/></td>
			<td> <xsl:value-of select='format-number(rating, "#.0")'/></td>
			<td> <a><xsl:attribute name="href"><xsl:text>http://www.imdb.com/title/</xsl:text><xsl:value-of select="id"/><xsl:text>/</xsl:text></xsl:attribute><xsl:text>IMDB Link</xsl:text></a></td>
			<td> <xsl:value-of select="year"/> </td>
	    </tr>
		</xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>